@font-face {
    font-family: Kalam;
    src: url(fonts/Kalam/Kalam-Regular.ttf);
}

@font-face {
    font-family: PressStart;
    src: url(fonts/PressStart/PressStart2P-Regular.ttf);
}

html,
body {
    margin: 0px;
    padding: 0px;
    width: 100%;
    height: 100%;
    overflow: auto;
}

body {
    font-family: Kalam;
    background-color: #111;
    color: white;
}

#particles {
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    height: 100%;
}

.main {
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
}

.main header,
.main .content,
.main footer {
    width: calc(100% - 30px);
    background-color: #444a;
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    margin: 15px;
    box-sizing: border-box;
    padding: 10px;
    border-radius: 15px;
    position: relative;
}

.main header {
    height: calc(200px - 3px);
    border-bottom: 3px solid transparent;
}

.main .content {
    border-top: 5px solid transparent;
    border-bottom: 3px solid transparent;
}

.loudbeat .content {
    border-top: 5px solid #9f76c2;
    border-bottom: 3px solid #6404ae;
}

.loudbeat header {
    border-bottom: 3px solid #6404ae;
}

.main footer {
    text-align: center;
    border-top: 5px solid transparent;
}

.loudbeat footer {
    border-top: 5px solid #9f76c2;
}

.main header .profile {
    width: 120px;
    height: 120px;
    border-radius: 40px;
    position: absolute;
    top: calc(50% - 60px);
    left: 40px;
    box-shadow: 0 0 40px 1px #0009;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url(img/profile-transparent.gif);
    transition-property: box-shadow, top;
    transition-duration: 0.3s;
    cursor: pointer;
}

.main header .profile:hover {
    box-shadow: 0 0 40px 1px #6669;
}

#audioVisualizer {
    position: absolute;
    top: calc(100% - 35px);
    left: 40px;
}

.main header .banner {
    width: calc(100% - 40px - 120px - 40px);
    height: calc(100% - 20px + 3px);
    position: absolute;
    top: 10px;
    right: 10px;
    border-radius: 10px;
    background-color: #000;
    text-align: center;
    padding: 30px;
    box-sizing: border-box;
    font-size: 20px;
    font-family: PressStart;
    color: #222;
    background-image: url(img/banner.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    word-wrap: break-word;
}

h2, h3 {
    text-align: center;
    width: 100%;
}

.projects {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 30px;
}

.oneproject {
    width: 150px;
    height: 150px;
    display: inline-block;
    position: relative;
    cursor: pointer;
    margin: 5px;
}

.oneproject .icon {
    width: 100%;
    height: 100%;
    background-color: #222;
    border-radius: 30px;
    position: relative;
    top: 0;
    transition-property: top, transform;
    transition-duration: 0.3s;
    transform: scale(0.95);
    background-image: url(img/projects/default.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.oneproject .name {
    background-color: #0007;
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    border-radius: 30px;
    padding: 5px 10px;
    text-align: center;
    position: absolute;
    width: calc(100% - 30px);
    left: 5px;
    bottom: 0px;
    transition-property: bottom;
    transition-duration: 0.3s;
    color: white;
    text-decoration: none;
}

.oneproject:hover .name, .loudbeat .oneproject .name {
    bottom: -7px;
}

.oneproject:hover .icon, .loudbeat .oneproject .icon {
    top: -7px;
    transform: scale(1);
}

.beat header .profile {
    top: calc(50% - 65px);
}

.content p {
    text-align: center;
}

.content p a {
    color: #9f76c2;
    text-decoration: underline;
}

.content p a:hover {
    text-decoration: none;
}

.loudbeat .oneproject .icon {
    border-top: 3px solid red;
    margin-top: -3px;
}

codersrank-summary {
    --header-bg-color: #6404ae;
    --name-font-size: 20px;
    margin-bottom: 15px;
}

@media only screen and (max-width: 600px) {
    .main header .banner {
        display: none;
    }

    .main header .profile {
        left: calc(50% - 60px);
    }

    #audioVisualizer {
        left: calc(50% - 60px);
    }
}